cascading.scheme.util

## Interface FieldTypeResolver

- All Superinterfaces:
    java.io.Serializable

      public interface FieldTypeResolver
      extends java.io.Serializable

- - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.String` | `cleanField(int ordinal, java.lang.String fieldName, java.lang.reflect.Type type)`
    `java.lang.reflect.Type` | `inferTypeFrom(int ordinal, java.lang.String fieldName)`
    `java.lang.String` | `prepareField(int i, java.lang.String fieldName, java.lang.reflect.Type type)`

- - ### Method Detail

    - #### inferTypeFrom

          java.lang.reflect.Type inferTypeFrom(int ordinal,
                                             java.lang.String fieldName)

    - #### cleanField

          java.lang.String cleanField(int ordinal,
                                    java.lang.String fieldName,
                                    java.lang.reflect.Type type)

    - #### prepareField

          java.lang.String prepareField(int i,
                                      java.lang.String fieldName,
                                      java.lang.reflect.Type type)

Copyright © 2007-2015 Xplenty, Inc. All Rights Reserved.